Bladeren bron

first commit

yongsung 3 jaren geleden
commit
e9e8b5d8a0

+ 33 - 0
LiveChecker/.gitignore

@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/

+ 117 - 0
LiveChecker/.mvn/wrapper/MavenWrapperDownloader.java

@@ -0,0 +1,117 @@
+/*
+ * Copyright 2007-present the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      https://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+import java.net.*;
+import java.io.*;
+import java.nio.channels.*;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+    private static final String WRAPPER_VERSION = "0.5.6";
+    /**
+     * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+     */
+    private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/"
+        + WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar";
+
+    /**
+     * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+     * use instead of the default one.
+     */
+    private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+            ".mvn/wrapper/maven-wrapper.properties";
+
+    /**
+     * Path where the maven-wrapper.jar will be saved to.
+     */
+    private static final String MAVEN_WRAPPER_JAR_PATH =
+            ".mvn/wrapper/maven-wrapper.jar";
+
+    /**
+     * Name of the property which should be used to override the default download url for the wrapper.
+     */
+    private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+    public static void main(String args[]) {
+        System.out.println("- Downloader started");
+        File baseDirectory = new File(args[0]);
+        System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+        // If the maven-wrapper.properties exists, read it and check if it contains a custom
+        // wrapperUrl parameter.
+        File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+        String url = DEFAULT_DOWNLOAD_URL;
+        if(mavenWrapperPropertyFile.exists()) {
+            FileInputStream mavenWrapperPropertyFileInputStream = null;
+            try {
+                mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+                Properties mavenWrapperProperties = new Properties();
+                mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+                url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+            } catch (IOException e) {
+                System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+            } finally {
+                try {
+                    if(mavenWrapperPropertyFileInputStream != null) {
+                        mavenWrapperPropertyFileInputStream.close();
+                    }
+                } catch (IOException e) {
+                    // Ignore ...
+                }
+            }
+        }
+        System.out.println("- Downloading from: " + url);
+
+        File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+        if(!outputFile.getParentFile().exists()) {
+            if(!outputFile.getParentFile().mkdirs()) {
+                System.out.println(
+                        "- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+            }
+        }
+        System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+        try {
+            downloadFileFromURL(url, outputFile);
+            System.out.println("Done");
+            System.exit(0);
+        } catch (Throwable e) {
+            System.out.println("- Error downloading");
+            e.printStackTrace();
+            System.exit(1);
+        }
+    }
+
+    private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+        if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) {
+            String username = System.getenv("MVNW_USERNAME");
+            char[] password = System.getenv("MVNW_PASSWORD").toCharArray();
+            Authenticator.setDefault(new Authenticator() {
+                @Override
+                protected PasswordAuthentication getPasswordAuthentication() {
+                    return new PasswordAuthentication(username, password);
+                }
+            });
+        }
+        URL website = new URL(urlString);
+        ReadableByteChannel rbc;
+        rbc = Channels.newChannel(website.openStream());
+        FileOutputStream fos = new FileOutputStream(destination);
+        fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+        fos.close();
+        rbc.close();
+    }
+
+}

BIN
LiveChecker/.mvn/wrapper/maven-wrapper.jar


+ 2 - 0
LiveChecker/.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.2/apache-maven-3.8.2-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar

+ 367 - 0
LiveChecker/log/live_check_2021-09-15.log

@@ -0,0 +1,367 @@
+2021-09-15 14:37:29 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 24684 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:37:29 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:37:29 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:37:29 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@48e4374: startup date [Wed Sep 15 14:37:29 KST 2021]; root of context hierarchy
+2021-09-15 14:37:30 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:37:30 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 1.066 seconds (JVM running for 2.544)
+2021-09-15 14:38:08 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:38:08 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@48e4374: startup date [Wed Sep 15 14:37:29 KST 2021]; root of context hierarchy
+2021-09-15 14:38:08 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:38:30 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 1596 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:38:30 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:38:30 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:38:31 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@4c9f8c13: startup date [Wed Sep 15 14:38:31 KST 2021]; root of context hierarchy
+2021-09-15 14:38:31 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:38:31 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 1.153 seconds (JVM running for 2.723)
+2021-09-15 14:39:01 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:09 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 25392 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:39:09 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:39:09 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:39:09 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@bef2d72: startup date [Wed Sep 15 14:39:09 KST 2021]; root of context hierarchy
+2021-09-15 14:39:10 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:39:10 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 1.016 seconds (JVM running for 2.507)
+2021-09-15 14:39:15 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:20 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:25 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:26 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:39:26 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@4c9f8c13: startup date [Wed Sep 15 14:38:31 KST 2021]; root of context hierarchy
+2021-09-15 14:39:26 [RMI TCP Connection(12)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:39:30 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:31 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:35 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:40 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:41 [RMI TCP Connection(2)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:39:41 [RMI TCP Connection(2)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@bef2d72: startup date [Wed Sep 15 14:39:09 KST 2021]; root of context hierarchy
+2021-09-15 14:39:41 [RMI TCP Connection(2)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:39:45 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:39:50 [main] ERROR c.i.l.LiveCheckerApplication - RetryEventSend Count : 1
+2021-09-15 14:44:46 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 12328 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:44:46 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:44:46 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:44:46 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@70e8f8e: startup date [Wed Sep 15 14:44:46 KST 2021]; root of context hierarchy
+2021-09-15 14:44:47 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:44:47 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 1.005 seconds (JVM running for 2.397)
+2021-09-15 14:44:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 2
+2021-09-15 14:44:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 3
+2021-09-15 14:45:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 4
+2021-09-15 14:45:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 5
+2021-09-15 14:45:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 6
+2021-09-15 14:45:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 7
+2021-09-15 14:45:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 8
+2021-09-15 14:45:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 9
+2021-09-15 14:45:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 10
+2021-09-15 14:45:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 11
+2021-09-15 14:45:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 12
+2021-09-15 14:45:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 13
+2021-09-15 14:45:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 14
+2021-09-15 14:45:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 15
+2021-09-15 14:46:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 16
+2021-09-15 14:46:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 17
+2021-09-15 14:46:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 18
+2021-09-15 14:46:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 19
+2021-09-15 14:46:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 20
+2021-09-15 14:46:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 21
+2021-09-15 14:46:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 22
+2021-09-15 14:46:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 23
+2021-09-15 14:46:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 24
+2021-09-15 14:46:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 25
+2021-09-15 14:46:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 26
+2021-09-15 14:46:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 27
+2021-09-15 14:47:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 28
+2021-09-15 14:47:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 29
+2021-09-15 14:47:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 30
+2021-09-15 14:47:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 31
+2021-09-15 14:47:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 32
+2021-09-15 14:47:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 33
+2021-09-15 14:47:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 34
+2021-09-15 14:47:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 35
+2021-09-15 14:47:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 36
+2021-09-15 14:47:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 37
+2021-09-15 14:47:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 38
+2021-09-15 14:47:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 39
+2021-09-15 14:48:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 40
+2021-09-15 14:48:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 41
+2021-09-15 14:48:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 42
+2021-09-15 14:48:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 43
+2021-09-15 14:48:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 44
+2021-09-15 14:48:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 45
+2021-09-15 14:48:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 46
+2021-09-15 14:48:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 47
+2021-09-15 14:48:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 48
+2021-09-15 14:48:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 49
+2021-09-15 14:48:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 50
+2021-09-15 14:48:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 51
+2021-09-15 14:49:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 52
+2021-09-15 14:49:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 53
+2021-09-15 14:49:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 54
+2021-09-15 14:49:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 55
+2021-09-15 14:49:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 56
+2021-09-15 14:49:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 57
+2021-09-15 14:49:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 58
+2021-09-15 14:49:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 59
+2021-09-15 14:49:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 60
+2021-09-15 14:49:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 61
+2021-09-15 14:49:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 62
+2021-09-15 14:49:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 63
+2021-09-15 14:50:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 64
+2021-09-15 14:50:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 65
+2021-09-15 14:50:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 66
+2021-09-15 14:50:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 67
+2021-09-15 14:50:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 68
+2021-09-15 14:50:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 69
+2021-09-15 14:50:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 70
+2021-09-15 14:50:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 71
+2021-09-15 14:50:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 72
+2021-09-15 14:50:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 73
+2021-09-15 14:50:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 74
+2021-09-15 14:50:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 75
+2021-09-15 14:51:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 76
+2021-09-15 14:51:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 77
+2021-09-15 14:51:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 78
+2021-09-15 14:51:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 79
+2021-09-15 14:51:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 80
+2021-09-15 14:51:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 81
+2021-09-15 14:51:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 82
+2021-09-15 14:51:37 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 83
+2021-09-15 14:51:42 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 84
+2021-09-15 14:51:47 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 85
+2021-09-15 14:51:52 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 86
+2021-09-15 14:51:57 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 87
+2021-09-15 14:52:02 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 88
+2021-09-15 14:52:07 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 89
+2021-09-15 14:52:12 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 90
+2021-09-15 14:52:17 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 91
+2021-09-15 14:52:22 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 92
+2021-09-15 14:52:27 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 93
+2021-09-15 14:52:32 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 94
+2021-09-15 14:52:38 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 95
+2021-09-15 14:52:43 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 96
+2021-09-15 14:52:48 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 97
+2021-09-15 14:52:53 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 98
+2021-09-15 14:52:58 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 99
+2021-09-15 14:53:03 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 100
+2021-09-15 14:53:08 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 101
+2021-09-15 14:53:13 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 102
+2021-09-15 14:53:18 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 103
+2021-09-15 14:53:23 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 104
+2021-09-15 14:53:28 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 105
+2021-09-15 14:53:33 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 106
+2021-09-15 14:53:38 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 107
+2021-09-15 14:53:43 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 108
+2021-09-15 14:53:48 [main] ERROR c.icontrols.livechecker.LiveChecker - LiveCheck Count : 109
+2021-09-15 14:53:50 [RMI TCP Connection(35)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:53:50 [RMI TCP Connection(35)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@70e8f8e: startup date [Wed Sep 15 14:44:46 KST 2021]; root of context hierarchy
+2021-09-15 14:53:50 [RMI TCP Connection(35)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:54:08 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 9736 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:54:08 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:54:08 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:54:08 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@6f96c77: startup date [Wed Sep 15 14:54:08 KST 2021]; root of context hierarchy
+2021-09-15 14:54:08 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:54:08 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 0.947 seconds (JVM running for 2.427)
+2021-09-15 14:54:13 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:54:16 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:54:16 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:54:16 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 2, ret : false
+2021-09-15 14:54:21 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:54:24 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:54:24 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:54:24 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 3, ret : false
+2021-09-15 14:54:29 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:54:32 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:54:32 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:54:32 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 4, ret : false
+2021-09-15 14:54:34 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:54:34 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@6f96c77: startup date [Wed Sep 15 14:54:08 KST 2021]; root of context hierarchy
+2021-09-15 14:54:34 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:56:25 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 25112 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 14:56:25 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 14:56:25 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 14:56:25 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@4c9f8c13: startup date [Wed Sep 15 14:56:25 KST 2021]; root of context hierarchy
+2021-09-15 14:56:26 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 14:56:26 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 0.977 seconds (JVM running for 2.46)
+2021-09-15 14:56:31 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:56:34 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:56:34 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:56:34 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 1, ret : false
+2021-09-15 14:56:39 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:56:42 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:56:42 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:56:42 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 2, ret : false
+2021-09-15 14:56:47 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:56:50 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:56:50 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:56:50 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 3, ret : false
+2021-09-15 14:56:55 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:56:58 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:56:58 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:56:58 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 4, ret : false
+2021-09-15 14:56:58 [main] DEBUG c.icontrols.livechecker.LiveChecker - ~~~~~ restart Service module 
+2021-09-15 14:57:02 [RMI TCP Connection(10)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 14:57:02 [RMI TCP Connection(10)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@4c9f8c13: startup date [Wed Sep 15 14:56:25 KST 2021]; root of context hierarchy
+2021-09-15 14:57:02 [RMI TCP Connection(10)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 14:57:03 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 14:57:06 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 14:57:06 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 14:57:06 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 1, ret : false
+2021-09-15 14:57:11 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 15:53:09 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 37852 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 15:53:09 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 15:53:09 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 15:53:09 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@48e4374: startup date [Wed Sep 15 15:53:09 KST 2021]; root of context hierarchy
+2021-09-15 15:53:10 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 15:53:10 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 1.038 seconds (JVM running for 2.552)
+2021-09-15 15:53:15 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 15:53:18 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 15:53:18 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 15:53:18 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 1, ret : false
+2021-09-15 15:53:23 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 15:53:26 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 15:53:26 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 15:53:26 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 2, ret : false
+2021-09-15 15:53:31 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 15:53:34 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 15:53:34 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 15:53:34 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 3, ret : false
+2021-09-15 15:53:37 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 15:53:37 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@48e4374: startup date [Wed Sep 15 15:53:09 KST 2021]; root of context hierarchy
+2021-09-15 15:53:37 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown
+2021-09-15 15:53:39 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 15:53:42 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 15:53:42 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 15:53:42 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 4, ret : false
+2021-09-15 15:53:42 [main] DEBUG c.icontrols.livechecker.LiveChecker - ~~~~~ restart Service module 
+2021-09-15 16:06:21 [main] INFO  c.i.l.LiveCheckerApplication - Starting LiveCheckerApplication on DESKTOP-TKH0VIL with PID 25696 (C:\GitSKT\LiveChecker\target\classes started by User in C:\GitSKT\LiveChecker)
+2021-09-15 16:06:21 [main] DEBUG c.i.l.LiveCheckerApplication - Running with Spring Boot v2.0.6.RELEASE, Spring v5.0.10.RELEASE
+2021-09-15 16:06:21 [main] INFO  c.i.l.LiveCheckerApplication - No active profile set, falling back to default profiles: default
+2021-09-15 16:06:21 [main] INFO  o.s.c.a.AnnotationConfigApplicationContext - Refreshing org.springframework.context.annotation.AnnotationConfigApplicationContext@22a637e7: startup date [Wed Sep 15 16:06:21 KST 2021]; root of context hierarchy
+2021-09-15 16:06:21 [main] INFO  o.s.j.e.a.AnnotationMBeanExporter - Registering beans for JMX exposure on startup
+2021-09-15 16:06:21 [main] INFO  c.i.l.LiveCheckerApplication - Started LiveCheckerApplication in 0.985 seconds (JVM running for 2.453)
+2021-09-15 16:06:26 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 16:06:29 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 16:06:29 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 16:06:29 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 1, ret : false
+2021-09-15 16:06:34 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 16:06:37 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 16:06:37 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 16:06:37 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 2, ret : false
+2021-09-15 16:06:42 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 16:06:45 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 16:06:45 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 16:06:45 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 3, ret : false
+2021-09-15 16:06:50 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 16:06:53 [main] ERROR c.i.livechecker.iMapRequestSysnc - message : java.net.SocketTimeoutException: connect timed out
+2021-09-15 16:06:53 [main] DEBUG c.icontrols.livechecker.LiveChecker -  bRet : -1
+2021-09-15 16:06:53 [main] DEBUG c.icontrols.livechecker.LiveChecker - LiveCheck Count : 4, ret : false
+2021-09-15 16:06:53 [main] DEBUG c.icontrols.livechecker.LiveChecker - ~~~~~ restart Service module 
+2021-09-15 16:06:58 [main] DEBUG c.i.livechecker.iMapRequestSysnc - iMAPClient :Send XML : 
+ <?xml version="1.0" encoding="utf-8"?>
+<imap ver = "1.0" address = "10.0.1.1" sender = "101동101호">
+   <service type = "request" name = "live_Check">
+      <target name = "mobile" id = "1" msg_no = "99" />
+   </service>
+</imap>
+2021-09-15 16:07:01 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.b.a.SpringApplicationAdminMXBeanRegistrar$SpringApplicationAdmin - Application shutdown requested.
+2021-09-15 16:07:01 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.c.a.AnnotationConfigApplicationContext - Closing org.springframework.context.annotation.AnnotationConfigApplicationContext@22a637e7: startup date [Wed Sep 15 16:06:21 KST 2021]; root of context hierarchy
+2021-09-15 16:07:01 [RMI TCP Connection(8)-127.0.0.1] INFO  o.s.j.e.a.AnnotationMBeanExporter - Unregistering JMX-exposed beans on shutdown

+ 310 - 0
LiveChecker/mvnw

@@ -0,0 +1,310 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`which java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 182 - 0
LiveChecker/mvnw.cmd

@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 40 - 0
LiveChecker/pom.xml

@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.springframework.boot</groupId>
+		<artifactId>spring-boot-starter-parent</artifactId>
+		<version>2.0.6.RELEASE</version>
+		<relativePath/> <!-- lookup parent from repository -->
+	</parent>
+	<groupId>com.icontrols</groupId>
+	<artifactId>LiveChecker</artifactId>
+	<version>0.0.1-SNAPSHOT</version>
+	<name>LiveChecker</name>
+	<description>Demo project for Spring Boot</description>
+	<properties>
+		<java.version>1.8</java.version>
+	</properties>
+	<dependencies>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter</artifactId>
+		</dependency>
+
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-test</artifactId>
+			<scope>test</scope>
+		</dependency>
+	</dependencies>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.springframework.boot</groupId>
+				<artifactId>spring-boot-maven-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</build>
+</project>

+ 102 - 0
LiveChecker/src/main/java/com/icontrols/livechecker/LiveChecker.java

@@ -0,0 +1,102 @@
+package com.icontrols.livechecker;
+
+import java.io.File;
+import java.util.Map;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+
+public class LiveChecker {
+	private static final Logger logger = LoggerFactory.getLogger(LiveChecker.class);
+	
+	// 복수개 지원현자을 구분하여 수신포트 변경을 위한 체크 파일
+	private static final String MULTI_COMPANY_FILE =  "/service/multi_company.dat";
+	private int port = 8098;
+	
+	public boolean getMutiCompanyServer() {
+		File checkFile = new File(MULTI_COMPANY_FILE);
+
+		logger.info("getMutiCompanyServer checkFile.exists() : " + checkFile.exists());
+		if (checkFile.exists())
+			return true;
+		else
+			return false;
+	}
+	
+	
+	public LiveChecker()
+	{
+		int Count = 0 ;
+		
+		if( getMutiCompanyServer())
+			port = 2227;
+		
+		while(true)
+		{
+
+			try
+			{
+				Thread.sleep(1000*30); // 30초마다 라이브 체크 하도록 한다.
+				
+				
+				boolean ret = sendMsg();
+				
+				if( ret == false)
+					Count++;
+				else 
+					Count = 0;
+				
+				logger.debug("LiveCheck Count : " + Count + ", ret : " + ret);
+				
+				if( Count > 5 )
+				{
+					// 서비스 재로딩...
+					Count = 0;
+					logger.debug("~~~~~ restart Service module ");
+					restart_Module();
+				}
+			}
+			catch(Exception e)
+			{
+				
+			}
+		}
+	}
+	
+	public void restart_Module()
+	{
+		try
+		{
+			ShRunner shRunner = new ShRunner();
+			String cmds = "sh /service/live_checker/run.sh";
+	        String[] callCmd = {"/bin/bash", "-c", cmds};
+	        Map map = shRunner.execCommand(callCmd);
+		}
+		catch( Exception e )
+		{
+			logger.error("exception : " + e.toString());
+		}
+    }
+	
+	
+	public boolean sendMsg()
+	{
+		//int port = 8098;
+		//int port = 2227;
+		
+    	iMapRequestSysnc imapSocket = new iMapRequestSysnc("127.0.0.1", port);
+    	
+    	String xmlData = null;
+    	xmlData = MakeXML.MakeXMLHeader( 101 , 101, "live_Check") + MakeXML.MakeXMLTail();
+    	
+    	int bRet = imapSocket.doWork(xmlData);
+    	//logger.debug(" bRet : " + bRet  );
+    	
+    	if(bRet == 0 )
+    		return true;
+    	else 
+    		return false;
+
+	}
+}

+ 22 - 0
LiveChecker/src/main/java/com/icontrols/livechecker/LiveCheckerApplication.java

@@ -0,0 +1,22 @@
+package com.icontrols.livechecker;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+
+
+
+@SpringBootApplication
+public class LiveCheckerApplication {
+	private static final Logger logger = LoggerFactory.getLogger(LiveCheckerApplication.class);
+	
+	public static void main(String[] args) {
+		SpringApplication.run(LiveCheckerApplication.class, args);
+		
+		LiveChecker lc = new LiveChecker();
+
+	}
+
+}

+ 53 - 0
LiveChecker/src/main/java/com/icontrols/livechecker/MakeXML.java

@@ -0,0 +1,53 @@
+package com.icontrols.livechecker;
+
+public class MakeXML {
+	
+    public static String MakeXMLHeader( int Dong , int Ho , String kind)
+    {        
+        //XML Header
+    	
+    	String retXML = null;
+    	retXML = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n"+
+                "<imap ver = \"1.0\" address = \""+"10.0.1.1"+"\" sender = \""+Dong+"동"+Ho+"호"+"\">\r\n"+
+                "   <service type = \"request\" name = \""+ kind + "\">\r\n"+
+    	 		"      <target name = \"mobile\" id = \"1\" msg_no = \""+ "99" + "\" />\r\n";
+    	
+    	return retXML;
+    }
+    
+    public static String MakeXMLTail()
+    {
+    	String retXML = null;
+    	retXML = "   </service>\r\n"+
+                	 "</imap>";
+    	return retXML;
+    }
+    
+	/*
+	 * 공지사항 리스트 요청을 위한 xml 바디 작성
+	 */
+    public static String MakeXMLBodyNoticeBody(String version , int start , int count )
+    {
+        String retXML = null;      
+        retXML ="      <ver_news>"+ version +"</ver_news>\r\n"+
+        			"      <start>"+ start +"</start>\r\n"+
+        			"      <count>" + count +  "</count>\r\n";
+        
+        return retXML;
+    }
+    
+	/*
+	 * 공지사항 내용 요청을 위한 xml 바디 작성
+	 */
+    public static String MakeXMLBodyNoticeContentsBody(String version , int list , int id )
+    {
+        String retXML = null;      
+        retXML ="      <ver_news>"+ version +"</ver_news>\r\n"+
+        			"      <list>"+ list +"</list>\r\n"+
+        			"      <id>" + id +  "</id>\r\n";
+        
+        return retXML;
+    }
+   
+
+}

+ 59 - 0
LiveChecker/src/main/java/com/icontrols/livechecker/ShRunner.java

@@ -0,0 +1,59 @@
+package com.icontrols.livechecker;
+
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.InputStreamReader;
+import java.util.HashMap;
+import java.util.Map;
+
+public class ShRunner {
+    public Map execCommand(String... str) {
+        Map<Integer, String> map = new HashMap<>();
+        ProcessBuilder pb = new ProcessBuilder(str);
+        pb.redirectErrorStream(true);
+        Process process = null;
+        try {
+            process = pb.start();
+        } catch (IOException e) {
+            e.printStackTrace();
+        }
+
+        BufferedReader reader = null;
+        if (process != null) {
+            reader = new BufferedReader(new InputStreamReader(process.getInputStream()));
+        }
+
+        String line;
+        StringBuilder stringBuilder = new StringBuilder();
+        try {
+            if (reader != null) {
+                while ((line = reader.readLine()) != null) {
+                    stringBuilder.append(line).append("\n");
+                }
+            }
+        } catch (IOException e) {
+            e.printStackTrace();
+        }
+
+        try {
+            if (process != null) {
+                process.waitFor();
+            }
+        } catch (InterruptedException e) {
+            e.printStackTrace();
+        }
+
+        if (process != null) {
+            map.put(0, String.valueOf(process.exitValue()));
+        }
+
+        try {
+            map.put(1, stringBuilder.toString());
+        } catch (StringIndexOutOfBoundsException e) {
+            if (stringBuilder.toString().length() == 0) {
+                return map;
+            }
+        }
+        return map;
+    }
+}

+ 300 - 0
LiveChecker/src/main/java/com/icontrols/livechecker/iMapRequestSysnc.java

@@ -0,0 +1,300 @@
+package com.icontrols.livechecker;
+
+
+import java.io.BufferedReader;
+import java.io.ByteArrayInputStream;
+import java.io.DataOutputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.net.InetSocketAddress;
+import java.net.Socket;
+
+import javax.xml.parsers.DocumentBuilder;
+import javax.xml.parsers.DocumentBuilderFactory;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+import org.w3c.dom.Document;
+import org.w3c.dom.NamedNodeMap;
+import org.w3c.dom.Node;
+import org.w3c.dom.NodeList;
+
+
+public class iMapRequestSysnc {
+	
+	private static final Logger logger = LoggerFactory.getLogger(iMapRequestSysnc.class);
+	
+	public static final int APT_SERVER    = 1;
+	public static final int APT_LOBBY     = 2;
+	
+	public static final int TYPE_REQUEST  = 1;
+	public static final int TYPE_NOTICE   = 2;
+	public static final int TYPE_RESPONSE = 3;
+	
+	public static final int COMM_COMPLITE = 1;
+	public static final int COMM_ERROR    = 2;
+	public static final int COMM_DOING    = 3;
+	public static final int COMM_NONE     = 4;
+	
+	public static final int SOCKET_BUFFER_SIZE = 100;
+	public static final int SOCKET_READ_BUFFER = 100;
+	
+	int 		SOCKET_WAIT_COUNT = 100;	
+	int         SOCKET_WAIT_TIME  = 3000;
+	
+	long        socket_time=0;
+	Socket  	isock;
+	String 		ClientIP = "10.2.14.1";	
+	int     	ClientPort = 10000;
+	
+	boolean 	log_sw = true;
+	private String  	iMapXML="";	
+	private Document    doc = null;
+	
+	
+	NodeList 	items;
+	int         Svrtarget;
+	
+	boolean     LogSW = true;
+	
+	String   cmdDoc;
+	
+	void iMAPClientLog(String msg)
+	{
+		if (LogSW) logger.debug("iMAPClient :" + msg);
+	}
+	
+	public iMapRequestSysnc(String svrIP, int svrPORT) 
+	{
+		ClientIP = svrIP;
+		ClientPort     = svrPORT;
+	}	
+	
+	public void SetSocketWaitCount(int count)
+	{
+		SOCKET_WAIT_TIME = count;
+	}
+	
+	public int doWork( String XML)
+	{	
+		int retValue = 0;
+		//iMAPClientLog("Send XML : \n "+XML);
+		boolean bRet = reqSocketCommunication(XML, ClientIP, ClientPort, SOCKET_WAIT_TIME);
+		
+		if( bRet == true )
+		{
+			retValue = 0; // 커넥션 정상
+		}
+		else 
+		{
+			retValue = -1; // 커넥션 안됨
+		}
+		
+		return retValue;
+	}
+	
+	public String getResponseXML()
+	{
+		return iMapXML;
+	}
+	
+	public Document getDocument()
+	{
+		return doc;
+	}
+	
+	public boolean reqSocketCommunication( String XML, String SoIPa, int SoIPport , int TimeOut )
+	{
+		try {
+			cmdDoc = XML+"\r\n";
+					
+			isock = new Socket();
+			isock.setSoLinger(true, 3000);
+			isock.setReceiveBufferSize(SOCKET_BUFFER_SIZE*1024);
+			isock.setSendBufferSize(SOCKET_BUFFER_SIZE*1024);
+			isock.setSoTimeout(TimeOut);
+			InetSocketAddress iSocAddr = new InetSocketAddress(SoIPa, SoIPport);
+			isock.connect(iSocAddr, SOCKET_WAIT_TIME);
+			
+//			DataInputStream dataInput = null;
+//			BufferedInputStream bufferdInput = null; // input 속도 향상을 위한 BufferedInputStream
+//			dataInput = new DataInputStream(isock.getInputStream());
+//			bufferdInput = new BufferedInputStream(dataInput);
+					
+			InputStream  In =  isock.getInputStream();
+			BufferedReader XMLReader = new BufferedReader(new InputStreamReader(In,"euc-kr"));
+			DataOutputStream outstream = new DataOutputStream(isock.getOutputStream());
+			byte[] outBF = cmdDoc.getBytes("euc-kr");
+			outstream.write(outBF);
+			outstream.flush();
+				
+			iMapXML = "";
+			String readbuff;				
+			int i = 0;
+			boolean succ = false;
+			socket_time  = System.currentTimeMillis()+SOCKET_WAIT_TIME;				
+			while(System.currentTimeMillis() < socket_time)
+			{
+				if (XMLReader.ready())
+				{	
+					
+					char[] indata = new char[SOCKET_READ_BUFFER*1024];
+					readbuff = "";
+					
+					while(XMLReader.ready())
+					{
+						long lenofxML = XMLReader.read(indata);
+						readbuff+=new String(indata, 0, (int)lenofxML);							
+
+					}
+
+					if (readbuff!=null)
+						iMapXML+=readbuff;					
+					
+					
+				    if (-1 < readbuff.indexOf("</imap>"))						
+					{
+						succ = true;
+						break;
+					}
+				}
+				else
+				{
+					//imapAPIlog("LV1", "Socket sleep\n");
+					try { Thread.sleep(100);} catch (Exception e) 
+					{
+						logger.error("message : " + e);
+						isock.close();	
+						return false;				
+					}
+					i++;	
+				}									
+			}
+			
+			if (i==SOCKET_WAIT_COUNT || succ == false)
+			{
+			
+				isock.close();	
+				return false;					
+			}
+		}
+		catch(Exception e)
+		{
+			logger.error("message : " + e);
+			return false;
+		}
+		
+		
+		try
+        {   
+		    Thread.sleep(30);			
+            isock.close();
+            SetXMLDoc(iMapXML);
+            //logger.debug(iMapXML);
+            //logger.debug("&&&&&&&&&&&&&&&&&    COMM_COMPLITE     &&&&&&&&&& 1");
+            return true;
+        }
+        catch (IOException e)
+        {
+        	logger.error("message : " + e);
+        }
+        catch (InterruptedException e)
+        {
+        	logger.error("message : " + e);
+        } 
+		
+		return false;
+	}
+	private void SetXMLDoc(String XMLDoc)
+	{
+		
+		try {
+			DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
+			DocumentBuilder builder = factory.newDocumentBuilder();	
+			
+			iMapXML = XMLDoc;		
+			//logger.debug("length :" + iMapXML.getBytes());
+			InputStream istream = new ByteArrayInputStream(iMapXML.getBytes("UTF-8"));
+			doc = builder.parse(istream);	
+			//logger.debug( " iMapXML : " + iMapXML.length());
+			if( doc == null )
+			{
+				try
+				{
+					for( int i = 0 ; i < 10 ; i++)
+					{
+						Thread.sleep(10);	
+						if( doc != null )
+						{
+							logger.debug( " doc parsing log wait  : " + i);
+						
+							break;
+						}
+					}
+				}
+				catch( Exception ex)
+				{
+					logger.error("message : " + ex);
+
+				}
+			}
+					
+		} catch (Exception e) {
+			logger.error("message : " + e);
+			e.printStackTrace();
+		}
+	}
+	public void SetEncType()
+	{
+		
+	}
+	public int SetItem(String name)
+	{
+		if (doc==null) return 0;
+		items = doc.getElementsByTagName(name);
+		return items.getLength();
+	}
+	
+	public String GetAttributeVal(int index, String attname)
+	{
+		if (items == null) return null;
+		int count = items.getLength();
+		if (count < 1 || index-1 > count) return null;		
+		Node item = items.item(index);
+		NamedNodeMap attrs = item.getAttributes();
+		for(int j=0; j< attrs.getLength();j++)
+		{
+			Node attr = attrs.item(j);		
+			
+			if (attr.getNodeName().equalsIgnoreCase(attname))			
+				return attr.getNodeValue();			
+		}		
+		return null;
+	}
+
+	public String GetItemVal(int index)
+	{
+		int count = items.getLength();
+		
+		if (count < 1 || index-1 > count) return null;		
+		Node item = items.item(index);
+				
+		return trimquotation(item.getTextContent());		
+	}
+	protected String trimquotation(String sen)
+	{		
+		sen = sen.replaceAll("\"", "");
+		return sen.trim();
+	}
+	public void SetServerIPConfig(String svrIP, int setport)
+	{
+		ClientIP = svrIP;
+		ClientPort = setport;
+	}
+	
+	public String GetServerIPAddress()
+	{
+		return ClientIP;
+	}	
+}

+ 1 - 0
LiveChecker/src/main/resources/application.properties

@@ -0,0 +1 @@
+logging.config=classpath:logback-spring.xml

+ 30 - 0
LiveChecker/src/main/resources/logback-spring.xml

@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration>
+    <include resource="org/springframework/boot/logging/logback/base.xml"/>
+
+    <appender name="dailyRollingFileAppender"
+              class="ch.qos.logback.core.rolling.RollingFileAppender">
+        <append>true</append>
+        <prudent>true</prudent>
+
+        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
+            <fileNamePattern>log/live_check_%d{yyyy-MM-dd}.log</fileNamePattern>
+            <maxHistory>30</maxHistory>
+        </rollingPolicy>
+        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
+            <level>DEBUG</level>
+        </filter>
+
+        <encoder>
+            <pattern>%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{35} - %msg%n</pattern>
+        </encoder>
+    </appender>
+
+
+    <logger name="com.icontrols" level="DEBUG"></logger>
+
+    <root level="INFO">
+        <appender-ref ref="dailyRollingFileAppender" />
+    </root>
+    
+</configuration>